%define section         free

# To make the tarball:
#  export CVSROOT=:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/wsabi4j2ee
#  cvs login
#  cvs export -r WSABI4J2EE_API_1_0_0 wsabi4j2ee-api
#  find wsabi4j2ee-api -name '*.jar' | xargs rm

Name:		wsabi4j2ee-api
Summary:	API for accessing web service information from various application servers
Version: 	1.0
Release:	1jpp_1rh
Epoch:		0
URL: 		http://wsabi4j2ee-api.objectweb.org/doc/
License: 	LGPL
Group: 		Development/Libraries/Java
Source: 	%{name}-%{version}.tar.bz2
BuildRequires:	jpackage-utils, ant, objectweb-anttask
BuildRequires:	axis
BuildRequires:	mx4j
BuildRequires:	jakarta-commons-logging
Requires:		axis
Requires:		mx4j
Requires:		jakarta-commons-logging
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:		noarch

%description
wsabi4j2ee-api is a set of standard APIs to interact with web services
deployed on various application services. Currently it only offers
read-only access to web service information on a set of application
servers, it eventually aims to provide the ability to CRUD (create,
read, update, delete) and manage web services on various application
servers.

%prep
%setup -q -n %{name}
mkdir -p thirdparty/axis/jars thirdparty/mx4j/jars thirdparty/commons-logging/jars
build-jar-repository thirdparty/axis/jars axis/jaxrpc
build-jar-repository thirdparty/mx4j/jars mx4j/mx4j mx4j/mx4j-remote
build-jar-repository thirdparty/commons-logging/jars commons-logging

%build
unset CLASSPATH
export OPT_JAR_LIST="objectweb-anttask"
ant core jonas

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/wsabi4j2ee-jonas-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/wsabi4j2ee-jonas-%{version}.jar
ln -s wsabi4j2ee-jonas-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/wsabi4j2ee-jonas.jar

install -m 644 dist/wsabi4j2ee-core-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/wsabi4j2ee-core-%{version}.jar
ln -s wsabi4j2ee-core-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/wsabi4j2ee-core.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%changelog
* Mon Jul 25 2005 Deepak Bhole <dbhole@redhat.com> 0:1.0.0-1jpp_1rh
- First Red Hat build.

* Fri Jul 22 2005 Deepak Bhole <dbhole@redhat.com> 0:1.0.0-1jpp
- Initial build.
